Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.webservice
Class HL7WSContainer

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSContainer
          com.stc.connector.tcpip.hl7.webservice.HL7WSContainer

    public class HL7WSContainer

extends TCPIPWSContainer

This class represents the input/output message container for HL7 eWay web services.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:42 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `HL7_CLIENT_PORT_TYPE`
`static java.lang.String` | `HL7_CLIENT_PORT_TYPE_FULLNAME`
`static java.lang.String` | `HL7_CLIENT_TNS`
`static java.lang.String` | `HL7_SERVER_PORT_TYPE`
`static java.lang.String` | `HL7_SERVER_PORT_TYPE_FULLNAME`
`static java.lang.String` | `HL7_SERVER_TNS`
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSContainer
`TCPIP_CLIENT_PORT_TYPE, TCPIP_CLIENT_PORT_TYPE_FULLNAME, TCPIP_CLIENT_TNS, TCPIP_SERVER_PORT_TYPE, TCPIP_SERVER_PORT_TYPE_FULLNAME, TCPIP_SERVER_TNS`

Constructor Summary
`protected` | `HL7WSContainer()` Default Constructor.
`` | `HL7WSContainer(java.lang.String containerType)` Constructor.

Method Summary
`boolean` | `isClientContainerType()` Method isClientContainerType.
`boolean` | `isServerContainerType()` Method isServerContainerType.
`void` | `setClientMessage(java.lang.Object clientMessage)` Sets the clientMessage.
`void` | `setServerMessage(java.lang.Object serverMessage)` Sets the serverMessage.

Methods inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSContainer
`getClientMessage, getServerMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### HL7_CLIENT_TNS

    public static final java.lang.String HL7_CLIENT_TNS

See Also:
  Constant Field Values

### HL7_SERVER_TNS

    public static final java.lang.String HL7_SERVER_TNS

See Also:
  Constant Field Values

### HL7_CLIENT_PORT_TYPE

    public static final java.lang.String HL7_CLIENT_PORT_TYPE

See Also:
  Constant Field Values

### HL7_SERVER_PORT_TYPE

    public static final java.lang.String HL7_SERVER_PORT_TYPE

See Also:
  Constant Field Values

### HL7_CLIENT_PORT_TYPE_FULLNAME

    public static final java.lang.String HL7_CLIENT_PORT_TYPE_FULLNAME

See Also:
  Constant Field Values

### HL7_SERVER_PORT_TYPE_FULLNAME

    public static final java.lang.String HL7_SERVER_PORT_TYPE_FULLNAME

See Also:
  Constant Field Values

Constructor Detail

### HL7WSContainer

    protected HL7WSContainer()

  Default Constructor.

### HL7WSContainer

    public HL7WSContainer(java.lang.String containerType)
                   throws HL7WSException

  Constructor.

  Parameters:
    `containerType` - HL7_CLIENT_PORT_TYPE or HL7_SERVER_PORT_TYPE
  Throws:
    `HL7WSException` - on error

Method Detail

### setClientMessage

    public void setClientMessage(java.lang.Object clientMessage)
                          throws HL7WSException

  Description copied from class: `TCPIPWSContainer`
  Sets the clientMessage.

  Overrides:
    `setClientMessage` in class `TCPIPWSContainer`
  Parameters:
    `clientMessage` - The serverMessage to set
  Throws:
    `HL7WSException`
  See Also:
    `TCPIPWSContainer.setClientMessage(java.lang.Object)`

### setServerMessage

    public void setServerMessage(java.lang.Object serverMessage)
                          throws HL7WSException

  Description copied from class: `TCPIPWSContainer`
  Sets the serverMessage.

  Overrides:
    `setServerMessage` in class `TCPIPWSContainer`
  Parameters:
    `serverMessage` - The serverMessage to set
  Throws:
    `HL7WSException`
  See Also:
    `TCPIPWSContainer.setServerMessage(java.lang.Object)`

### isServerContainerType

    public boolean isServerContainerType()

  Description copied from class: `TCPIPWSContainer`
  Method isServerContainerType.

  Overrides:
    `isServerContainerType` in class `TCPIPWSContainer`
  Returns:
    boolean
  See Also:
    `TCPIPWSContainer.isServerContainerType()`

### isClientContainerType

    public boolean isClientContainerType()

  Description copied from class: `TCPIPWSContainer`
  Method isClientContainerType.

  Overrides:
    `isClientContainerType` in class `TCPIPWSContainer`
  Returns:
    boolean
  See Also:
    `TCPIPWSContainer.isClientContainerType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD